### Constructor

# Clutter PageTurnEffect new

#### Declaration [src]

    ClutterEffect*
    clutter_page_turn_effect_new (
      gdouble period,
      gdouble angle,
      gfloat radius
    )

#### Description [src]

Creates a new `ClutterPageTurnEffect` instance with the given parameters.

#### Parameters

`period`

  Type: `gdouble`

  The period of the page curl, between 0.0 and 1.0.

`angle`

  Type: `gdouble`

  The angle of the page curl, between 0.0 and 360.0.

`radius`

  Type: `gfloat`

  The radius of the page curl, in pixels.

#### Return value

Type: `ClutterEffect`

The newly created `ClutterPageTurnEffect`.

The data is owned by the called function.